package com.sjkj.base_lib.camera.dh.vm;

import androidx.databinding.ObservableBoolean;
import androidx.databinding.ObservableField;
import androidx.databinding.ObservableInt;

import com.sjkj.base_lib.R;
import com.sjkj.base_lib.camera.dh.bean.CameraDetailsBean;
import com.sjkj.base_lib.vm.BaseViewModel;


public class CameraViewModel extends BaseViewModel {
    public ObservableField<CameraDetailsBean> cameraDetailsBean = new ObservableField<>();
    public ObservableField<Double> longitude = new ObservableField<>(124.53665213000000);
    public ObservableField<Double> latitude = new ObservableField<>(43.6080665800000);
    public ObservableField<String> keyword = new ObservableField<>("");
    public ObservableField<String> tip = new ObservableField<>("");
    public ObservableField<Integer> selectedFrameId = new ObservableField<Integer>(R.id.item04_tv);
    public ObservableField<String> pageNumberText = new ObservableField<String>("1/1");
    public ObservableField<Integer> selectedStreamId = new ObservableField<Integer>(R.id.item01_tv);
    public ObservableBoolean isShowCameraControlView = new ObservableBoolean(false);
    public ObservableInt currentPageIndex =new ObservableInt(0);
    /**
     * 控制操控区显隐
     */
    public ObservableBoolean isShowCameraControlBtn = new ObservableBoolean(false);
    /**
     * 控制摄像头倍率/光圈/焦距布局显隐
     */
    public ObservableBoolean isShowCameraZoomView = new ObservableBoolean(false);
    /**
     * 控制全屏 返回键
     */
    public ObservableBoolean isShowBackBtn = new ObservableBoolean(false);
    public ObservableField<Integer> cameraZoomType = new ObservableField<Integer>(0);
    public ObservableBoolean isShowRockerView = new ObservableBoolean(false);
}
